
Installer - Refactor #23727

Let puppet handle migrate_pulp

05/29/2018 11:28 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: foreman-installer script   

Target version:    

Difficulty:  Fixed in Releases: 2.0.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/418,

https://github.com/theforeman/foreman-i

nstaller/pull/417

  

Description

migrate_pulp can be replaced by rm -f /var/lib/pulp/init.flag and then the installer will take care of it. Both starting of mongo (if needed)

and running pulp-manage-db. It should be noted that a dry run update without mongo running will probably give errors so that is a

consideration.

Associated revisions

Revision cc57f72d - 12/04/2019 02:04 AM - Ewoud Kohl van Wijngaarden

Fixes #23727 - Rely on puppet-pulp to migrate the database

History

#1 - 05/30/2018 05:53 PM - Andrew Kofink

- translation missing: en.field_release set to 349

#2 - 08/15/2018 06:20 PM - Jonathon Turel

- Target version changed from Katello 3.8.0 to Katello Backlog

#3 - 11/29/2019 03:43 PM - Ewoud Kohl van Wijngaarden

- Project changed from Katello to Installer

- Category deleted (Installer)

- Target version deleted (Katello Backlog)

#4 - 11/29/2019 03:46 PM - Ewoud Kohl van Wijngaarden

- Project changed from Installer to Katello

- Category set to foreman-installer script

#5 - 11/29/2019 03:51 PM - Ewoud Kohl van Wijngaarden

- Project changed from Katello to Installer

#6 - 11/29/2019 03:53 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/418 added

#7 - 11/29/2019 05:35 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/417 added
#8 - 12/04/2019 02:04 AM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#9 - 12/04/2019 03:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|cc57f72d657759b28f1c3f18a65886fd181e650d.
